Package org.apache.solr.client.solrj.impl

## Class CloudSolrClient.RouteResponse<T extends LBSolrClient.Req>

- java.lang.Object
- - org.apache.solr.common.util.NamedList<Object>
  - - org.apache.solr.client.solrj.impl.CloudSolrClient.RouteResponse<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Map.Entry<String,​Object>>`, `SimpleMap<Object>`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  CloudSolrClient

    public static class CloudSolrClient.RouteResponse<T extends LBSolrClient.Req>
    extends NamedList<Object>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList

`NamedList.NamedListEntry<T>`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.common.util.NamedList

`nvPairs`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`RouteResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<NamedList<?>>` `getRouteResponses()`
`Map<String,​T>` `getRoutes()`
`void` `setRouteResponses​(NamedList<NamedList<?>> routeResponses)`
`void` `setRoutes​(Map<String,​T> routes)`

### Methods inherited from class org.apache.solr.common.util.NamedList

`_size, abortableForEach, abortableForEachKey, add, addAll, addAll, asMap, asShallowMap, asShallowMap, clear, clone, equals, findRecursive, forEach, forEachEntry, forEachKey, get, get, getAll, getBooleanArg, getImmutableCopy, getName, getVal, hashCode, indexOf, iterator, remove, remove, removeAll, removeBooleanArg, removeConfigArgs, setName, setVal, size, toSolrParams, toString, writeMap`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Methods inherited from interface org.apache.solr.cluster.api.SimpleMap

`asMap, asMap, get`

### Constructor Detail

#### RouteResponse

    public RouteResponse()

### Method Detail

#### setRouteResponses

    public void setRouteResponses​(NamedList<NamedList<?>> routeResponses)

#### getRouteResponses

    public NamedList<NamedList<?>> getRouteResponses()

#### setRoutes

    public void setRoutes​(Map<String,​T> routes)

#### getRoutes

    public Map<String,​T> getRoutes()